# Class CIM_BoundedPrioritySchedulingElement
extends CIM_PrioritySchedulingElement

This class is a subclass of the class PriorityScheduling Element, which is itself derived from the abstract class SchedulingElement. As is the case with all subclasses of SchedulingElement, the input associated with an instance of BoundedPrioritySchedulingElement is of one of two types: either a queue, or another scheduler. BoundedPriority SchedulingElement adds an upper bound (BandwidthBound in kilobits per second) on how much traffic can be handled from an input. This data is specific to that one input. It is needed when bounded strict priority scheduling is performed. Note that this class inherits from its superclass the restriction of the inherited boolean property WorkConserving to TRUE.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SchedulingElement
|
+--CIM_PrioritySchedulingElement
|
+--CIM_BoundedPrioritySchedulingElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class is a subclass of the class PriorityScheduling Element, which is itself derived from the abstract class SchedulingElement. As is the case with all subclasses of SchedulingElement, the input associated with an instance of BoundedPrioritySchedulingElement is of one of two types: either a queue, or another scheduler. BoundedPriority SchedulingElement adds an upper bound (BandwidthBound in kilobits per second) on how much traffic can be handled from an input. This data is specific to that one input. It is needed when bounded strict priority scheduling is performed. Note that this class inherits from its superclass the restriction of the inherited boolean property WorkConserving to TRUE.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BandwidthBound | uint32 |
Description | string | A 32-bit unsigned integer that defines the upper limit on the amount of traffic that can be handled from the input (through this SchedulingElement). This is not a shaped upper bound, since bursts can occur. It is a strict bound, limiting the impact of the input. Units are kilobits per second.
Units | string | KiloBits per Second
WorkConserving | boolean | true

Description

string

A boolean property indicating whether the PacketSchedulingService tied to this instance (by the ElementInSchedulingService aggregation) is treating the queue/input tied to this instance, in a work-conserving manner. The queue/input is indicated by either the QueueToSchedule or SchedulingServiceToSchedule association. Note that this property is writeable, indicating that an administrator can change the behavior of the SchedulingElement - but only for those elements that can operate in a non-work conserving mode.

Override | string | WorkConserving
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SchedulingElement
Priority | uint16 | CIM_PrioritySchedulingElement

## Class Methods